Subject: RE: iScsi:

From: Eddy Quicksall <[email-masked]>
Date: Thu, 3 Jan 2002 11:13:25 -0500

Think of it this way ... if NFS is used to communicate with a server then
iSCSI is a transport that the NFS server uses to access the storage. NFS has
already resolved the issue you site before it hits iSCSI.

I don't think we intend to have iSCSI do the full job of NFS ... in cases
where NFS is not being used, there would be some other higher layer that
would coordinate the I/O and I believe that clustering software does that.

Does that make sense?

Eddy

-----Original Message-----
From: Nitin Dhingra [mailto:[email-masked]]
Sent: Thursday, January 03, 2002 12:07 AM
To: [email-masked]'; [email-masked]
Subject: RE: iScsi:

Well, let's take a case
where you have one target and many initiators connected that target

And as iScsi is at block level, so if more than one initiator have requested
to write at the same block address at the same time at the same target
this can create synchronization problems, don't you think?

Shouldn't you give an option like most other protocols like NFS does,
where you have a separate optional layer for locking/synchronization...

Don't you think this should be handled by iScsi??

- Nitin

 -----Original Message-----
From:   [email-masked] [mailto:[email-masked]]
Sent:   Wednesday, January 02, 2002 3:10 PM
To:     [email-masked]; [email-masked]
Subject:        RE: iScsi:

I don't understand this - what exactly is broken that you think
needs to be fixed?  Many SCSI targets do implement access controls
at the logical unit level, which is in T10's domain, not iSCSI's.

--David

---------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 42 South St., Hopkinton, MA  01748
+1 (508) 249-6449 *NEW*      FAX: +1 (508) 497-8500
[email-masked]         Cell: +1 (978) 394-7754
---------------------------------------------------

> -----Original Message-----
> From: Nitin Dhingra [mailto:[email-masked]]
> Sent: Wednesday, January 02, 2002 12:40 AM
> To: [email-masked]
> Subject: iScsi:
>
>
> Why don't you put a restriction on the read/write access to a target?
> This can solve some of the synchronization problems that can occur...
>
> And Yeah Happy New Year to All...
>
> - Nitin
>